/* Global */
nav,
nav ul {
    width: 100%;
}

nav menu {
    margin: 0;
    padding: 0;
}

nav,
nav ul,
nav a {
    height: 29px;
}

nav ul,
nav li,
nav a {
    box-sizing: border-box;
}

nav li {
    box-sizing: border-box;
    text-align: center;
}

nav li.mobile-only {
    display: none;
}

nav li.item {
    position: relative;
}

nav a {
    background-color: #111111;
    border-bottom-style: none;
    display: block;
    line-height: 29px;
    text-align: center;
    text-decoration: none;
    width: 100%;
}

nav a,
nav a:visited {
    color: #cccccc;
}

nav a.item {
    font-size: 14px;
}

nav li.item ul {
    border-top: 1px solid #000000;
    display: none;
    height: auto;
    min-width: 100%;
    position: relative;
    width: auto;
    z-index: 500;
}

nav li.sub {
    border: 1px solid #000000;
    border-top-style: none;
    height: 23px;
    line-height: 23px;
}

nav li.sub a {
    background-color: #333333;
    height: 22px;
    line-height: 22px;
    padding: 0 5px;
    white-space: nowrap;
}

/* Current Page */
nav li.item.sel a.item,
nav li.sub.sel a.sub {
    background-color: #cccccc;
    color: #111111;
}

/* Hover actions */
nav li.item:hover a.item,
nav li.item.open a.item.is-alt,
nav li.item.open a.item.no-alt,
nav li.sub:hover a.sub {
    background-color: #888888;
    color: #000000;
}

/* Desktop */
@media only screen and (min-width: 1002px) {
    nav {
        border-bottom: 1px solid #000000;
        border-top: 1px solid #000000;
    }

    nav ul {
        display: flex;
    }

    nav menu,
    nav input {
        display: none;
    }

    nav li.item {
        border-left: 1px solid #cccccc;
        flex: 1 1 100%;
    }

    nav li.item:first-of-type,
    nav li.item:first-of-type li.sub,
    nav li.item.mobile-only:first-child + li.item:not(.mobile-only),
    nav li.item.mobile-only:first-child + li.item:not(.mobile-only) li.sub {
        border-left-style: none;
    }

    nav li.item a.is-alt,
    nav li.sub.is-alt {
        display: none;
    }

    /* Sub Nav */
    nav li.item span.subnav:after {
        display: none;
    }

    /* Hover actions */
    nav li.item:hover ul {
        display: inline-block;
    }

    /* Mobile only? */
    nav.mobile-only {
        display: none;
    }
}

/* Mobile/Tablet Portrait */
@media only screen and (max-width: 768px) {
    nav,
    nav ul {
        height: auto;
        z-index: 510;
    }

    nav menu {
        background-color: #cc0000;
        border: 2px solid #000000;
        color: #ffffff;
        display: inline-block;
        font-size: 12px;
        height: 25px;
        line-height: 25px;
        position: absolute;
        right: 3px;
        text-align: center;
        top: 27px;
        width: 45px;
    }

    nav ul.nav {
        display: none;
    }

    nav.open ul.main,
    nav li.open ul.sub {
        border-top: 1px solid #000000;
        display: block;
    }

    nav.open ul.main {
        border-bottom: 1px solid #000000;
    }

    nav li.item {
        border-top: 1px solid #cccccc;
    }

    nav li.item:first-of-type {
        border-top-style: none;
    }

    nav li.item a.has-alt {
        display: none;
    }

    nav menu,
    nav li.item a.is-alt {
        cursor: context-menu;
    }

    nav li.item span.subnav:after {
        position: absolute;
        right: 7px;
        top: 7px;
    }

    nav li.sub {
        border-left-style: none;
        border-right-style: none;
    }
}

/* Mobile Specifically */
@media only screen and (max-width: 480px) {
    nav,
    nav menu {
        position: fixed;
    }

    nav menu {
        right: 1px;
        top: 25px;
    }

    nav ul.main {
        margin-top: -1px;
    }

    nav li.mobile-only {
        display: block;
    }

    nav a.item {
        font-size: 13px;
        height: 24px;
        line-height: 24px;
    }

    nav li.item span.subnav:after {
        right: 4px;
        top: 4px;
    }
}

/* Tablet Portrait Specifically */
@media only screen and (min-width: 481px) and (max-width: 768px) {
    nav ul.main {
        position: absolute;
    }

    /* Mobile only? */
    nav.mobile-only {
        display: none;
    }
}

/* Tablet Landscape, Wide Nav (copy of mobile/tablet) */
@media only screen and (min-width: 769px) and (max-width: 1002px) {
    nav.wi,
    nav.wi ul {
        height: auto;
        z-index: 510;
    }

    nav.wi menu {
        background-color: #cc0000;
        border: 2px solid #000000;
        color: #ffffff;
        display: inline-block;
        font-size: 12px;
        height: 25px;
        line-height: 25px;
        position: absolute;
        right: 3px;
        text-align: center;
        top: 27px;
        width: 45px;
    }

    nav.wi ul.nav {
        display: none;
        position: absolute; /* Custom Addition */
    }

    nav.wi.open ul.main,
    nav.wi li.open ul.sub {
        border-top: 1px solid #000000;
        display: block;
    }

    nav.wi.open ul.main {
        border-bottom: 1px solid #000000;
    }

    nav.wi li.item {
        border-top: 1px solid #cccccc;
    }

    nav.wi li.item:first-of-type {
        border-top-style: none;
    }

    nav.wi li.item a.has-alt {
        display: none;
    }

    nav.wi menu,
    nav.wi li.item a.is-alt {
        cursor: context-menu;
    }

    nav.wi li.item span.subnav:after {
        position: absolute;
        right: 7px;
        top: 7px;
    }

    nav.wi li.sub {
        border-left-style: none;
        border-right-style: none;
    }

    /* Mobile only? */
    nav.mobile-only {
        display: none;
    }
}

/* Tablet Landscape, Narrow Nav (copy of desktop) */
@media only screen and (min-width: 769px) and (max-width: 1002px) {
    nav.na {
        border-bottom: 1px solid #000000;
        border-top: 1px solid #000000;
    }

    nav.na ul {
        display: flex;
    }

    nav.na menu,
    nav.na input {
        display: none;
    }

    nav.na li.item {
        border-left: 1px solid #cccccc;
        flex: 1 1 100%;
    }

    nav.na li.item:first-of-type,
    nav.na li.item:first-of-type li.sub {
        border-left-style: none;
    }

    nav.na li.item a.is-alt,
    nav.na li.sub.is-alt {
        display: none;
    }

    /* Sub Nav.na */
    nav.na li.item span.subnav:after {
        display: none;
    }

    /* Hover actions */
    nav.na li.item:hover ul {
        display: inline-block;
    }

    /* Mobile only? */
    nav.na.mobile-only {
        display: none;
    }
}
